First time here? Check out the FAQ!
x

Is 1.12 really the latest version?

0 votes
asked by (120 points)
edited by

My Battle.net is at version 1.4 and won’t update any further. When I try to update via Mac Informer it gives me an error.

1 Answer

0 votes
answered by (309k points)

Yes, the 1.12 is the latest version of the client. I've downloaded the ZIP package from the official website and installed it on a Mac device. Although it says 1.4 in the client, the software's version is actually 1.12. You can obtain the latest one from the Battle.Net website.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...